Package gov.nasa.gsfc.sscweb.schema

# Class SatelliteTarget

java.lang.Object
gov.nasa.gsfc.sscweb.schema.TraceTarget
gov.nasa.gsfc.sscweb.schema.SatelliteTarget

public class SatelliteTarget extends TraceTarget
Satellite target of trace. <p>Java class for SatelliteTarget complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="SatelliteTarget"> <complexContent> <extension base="{http://sscweb.gsfc.nasa.gov/schema}TraceTarget"> <sequence> <element name="LeadSatellite" type="{http://sscweb.gsfc.nasa.gov/schema}SatelliteId"/> <element name="Distance" type="{http://www.w3.org/2001/XMLSchema}double"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected double`
  `distance`
  Satellite's distance to the lead satellite
  `protected String`
  `leadSatellite`
  Lead Satellite identifier.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SatelliteTarget()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `getDistance()`
  Satellite's distance to the lead satellite
  `String`
  `getLeadSatellite()`
  Lead Satellite identifier.
  `void`
  `setDistance(double value)`
  Sets the value of the distance property.
  `void`
  `setLeadSatellite(String value)`
  Sets the value of the leadSatellite property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### leadSatellite

    protected String leadSatellite
    Lead Satellite identifier.

  - ### distance

    protected double distance
    Satellite's distance to the lead satellite

- ## Constructor Details

  - ### SatelliteTarget

    public SatelliteTarget()

- ## Method Details

  - ### getLeadSatellite

    public String getLeadSatellite()
    Lead Satellite identifier.
    Returns:
      possible object is `String`

  - ### setLeadSatellite

    public void setLeadSatellite(String value)
    Sets the value of the leadSatellite property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getLeadSatellite()`

  - ### getDistance

    public double getDistance()
    Satellite's distance to the lead satellite

  - ### setDistance

    public void setDistance(double value)
    Sets the value of the distance property.